> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search suggestions

> Get search suggestions.

Get search suggestions.

**Credits:** 5 per successful request. Failed requests and empty result sets are not charged.

## Authentication

<ParamField header="X-API-Key" type="string" required>Your ScrapeBadger API key.</ParamField>

## Parameters

<ParamField query="query" type="string" required>
  Query. Minimum length: 1. Maximum length: 250.
</ParamField>

<ParamField query="country" type="string" default="US">
  Country.
</ParamField>

<ParamField query="language" type="string" default="en">
  Language.
</ParamField>

## Response

```json theme={null}
{
  "query": "wireless",
  "suggestions": [
    "wireless charger"
  ]
}
```

## Example

```bash theme={null}
curl --get 'https://scrapebadger.com/v1/aliexpress/autocomplete' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --data-urlencode 'query=wireless'
```

[Browse all AliExpress endpoints](/aliexpress/overview).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.